import { defineStore } from "pinia";

export const useMCStore = defineStore('Mountain Car Store', {
    state: () => {
        return {
            red: Array(240000).fill(120),
            green: Array(240000).fill(120),
            blue: Array(240000).fill(120),
            width: 600,
            height: 400,
            trigger: false,
        }
    },
    getters: {
        getRed: (state) => state.red,
        getGreen: (state) => state.green,
        getBlue: (state) => state.blue,
        getHeight: (state) => state.height,
        getWidth: (state) => state.width,
    },
    actions: {
        setRgbArrays(red, green, blue) {
            this.red = red;
            this.green = green;
            this.blue = blue;
            this.trigger = !this.trigger;
        },
        setDim(height, width) {
            this.height = height;
            this.width = width;
        },
    }
})
